{
  "version": "0.2.0",
  "configurations": [
    {
      "name": "Run API (Nodemon Debug)",
      "type": "node",
      "request": "launch",
      "runtimeExecutable": "nodemon",
      "program": "${workspaceFolder}/src/app.js",
      "restart": true,
      "console": "integratedTerminal",
      "internalConsoleOptions": "neverOpen",
      "envFile": "${workspaceFolder}/.env",
      "cwd": "${workspaceFolder}",
      "runtimeArgs": ["--inspect=9229"],
      "skipFiles": ["<node_internals>/**"],
      // "env": {
      //   "PJ_NAME": "exthernal-mobile-api",
      //   "PG_HOST": "localhost",
      //   "PG_USER": "postgres",
      //   "PG_PASS": "1234",
      //   "PG_DB": "postgres",
      //   "PG_PORT": "5432",
      //   "JWT_SECRET": "MY_SUPER_SECRET",
      //   "PORT": "4000"
      // }
    }
  ]
}
